Skip to navigation

List Company Subsidiaries

Returns all subsidiary accounts on lower hierarchy layers, based on the Company account specified.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Query parameters

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

Response

OK

The subsidiaries array in the response includes nested subsidiaries arrays if a child account has its own subsidiaries.

The array also includes nested subsidiaries arrays for each Company with its own subsidiaries. For example, if the Company in question is above 2 layers of Account Hierarchy, its direct subsidiaries will also include subsidiaries arrays for their child accounts.

datalist of objectsOptional
metaobjectOptional

Errors

404
Not Found Error